Summary: Linux system and kernel logger
Name: sysklogd
Version: 1.3
Release: 26
Copyright: GPL
Group: Daemons
Source0: ftp://sunsite.unc.edu/pub/Linux/system/daemons/sysklogd-1.3.tar.gz
Source1: syslog.conf.rhs
Source2: syslog.init
Source3: syslog.log
Patch0: sysklogd-1.3-pl1.patch
Patch1: sysklogd-1.3-pl2.patch
Patch2: sysklogd-1.3-pl3.patch
Patch3: sysklogd-1.3-make.patch
Patch4: sysklogd-1.3-glibc.patch
Patch5: sysklogd-1.3-getutent.patch
Patch6: sysklogd-1.3-kernel21.patch
Patch7: sysklogd-1.3-exit.patch
Patch8: sysklogd-1.3-rh.patch
Patch9: sysklogd-1.3-utmp-process.patch
Patch10: sysklogd-1.3-jbj.patch
Prereq: fileutils, /sbin/chkconfig
Requires: logrotate
BuildRoot: /var/tmp/syslog-root

%description
This is the Linux system and kernel logging program.  It is run
as a daemon (background process) to log messages to different
places.  These are usually things like sendmail logs, security
logs, and errors from other daemons.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p2
%patch3 -p1
%patch5 -p1 -b .getutent
%patch4 -p1 -b .noglibc

%patch6 -p1 -b .broken

%patch7 -p1 -b .exit
%patch8 -p1 -b .rh
%patch9 -p1 -b .utmp

%patch10 -p1 -b .jbj

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,usr/{bin,man/man{5,8},sbin}}

make install TOPDIR=$RPM_BUILD_ROOT

( cd $RPM_BUILD_ROOT
  install -m644 $RPM_SOURCE_DIR/syslog.conf.rhs ./etc/syslog.conf
  strip ./usr/sbin/*

  mkdir -p ./etc/{rc.d/init.d,logrotate.d}
  install -m755 $RPM_SOURCE_DIR/syslog.init ./etc/rc.d/init.d/syslog
  mkdir -p ./etc/rc.d/rc{0,1,2,3,4,5,6}.d
  ln -sf ../init.d/syslog ./etc/rc.d/rc0.d/K70syslog
  ln -sf ../init.d/syslog ./etc/rc.d/rc1.d/K70syslog
  ln -sf ../init.d/syslog ./etc/rc.d/rc2.d/S30syslog
  ln -sf ../init.d/syslog ./etc/rc.d/rc3.d/S30syslog
  ln -sf ../init.d/syslog ./etc/rc.d/rc5.d/S30syslog
  ln -sf ../init.d/syslog ./etc/rc.d/rc6.d/K70syslog
  install -m644  $RPM_SOURCE_DIR/syslog.log ./etc/logrotate.d/syslog

  chmod 755 ./usr/sbin/syslogd
  chmod 755 ./usr/sbin/klogd
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
for n in /var/log/{messages,secure,maillog,spooler}
do
	[ -f $n ] && continue
	touch $n
	chmod 600 $n
done
/sbin/chkconfig --add syslog

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del syslog
fi

%files
%defattr(-,root,root)
%doc ANNOUNCE README* NEWS INSTALL Sysklogd-1.3.lsm
%config /etc/syslog.conf
%config /etc/logrotate.d/syslog
%config /etc/rc.d/init.d/syslog
%config(missingok) /etc/rc.d/rc0.d/K70syslog
%config(missingok) /etc/rc.d/rc3.d/S30syslog
%config(missingok) /etc/rc.d/rc1.d/K70syslog
%config(missingok) /etc/rc.d/rc5.d/S30syslog
%config(missingok) /etc/rc.d/rc2.d/S30syslog
%config(missingok) /etc/rc.d/rc6.d/K70syslog
/usr/sbin/*
/usr/man/*/*

%changelog
* Thu Nov 12 1998 Jeff Johnson <jbj@redhat.com>
- plug potential buffer overflow.

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- add %clean

* Tue Aug  4 1998 Chris Adams <cadams@ro.com>
- only log to entries that are USER_PROCESS (fix #822)

* Mon Jul 27 1998 Jeff Johnson <jbj@redhat.com>
- remove RPM_BUILD_ROOT from %post

* Wed Apr 29 1998 Cristian Gafton <gafton@redhat.com>
- patch to support Buildroot
- package is now buildrooted

* Wed Apr 29 1998 Michael K. Johnson <johnsonm@redhat.com>
- Added exit patch so that a normal daemon exit is not flagged as an error.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added (missingok) to init symlinks

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- added status|restart support to syslog.init
- added chkconfig support
- various spec file cleanups

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
